# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_CurveStyle Class Reference

`#include <StepVisual_CurveStyle.hxx>`

## Public Member Functions

Standard_EXPORT | StepVisual_CurveStyle ()
| Returns a CurveStyle .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const StepVisual_CurveStyleFontSelect &aCurveFont, const StepBasic_SizeSelect &aCurveWidth, const Handle(StepVisual_Colour)&aCurveColour)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetCurveFont (const StepVisual_CurveStyleFontSelect &aCurveFont)
Standard_EXPORT StepVisual_CurveStyleFontSelect | CurveFont () const
Standard_EXPORT void | SetCurveWidth (const StepBasic_SizeSelect &aCurveWidth)
Standard_EXPORT StepBasic_SizeSelect | CurveWidth () const
Standard_EXPORT void | SetCurveColour (const Handle(StepVisual_Colour)&aCurveColour)
Standard_EXPORT Handle_StepVisual_Colour | CurveColour () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | name
StepVisual_CurveStyleFontSelect | curveFont
StepBasic_SizeSelect | curveWidth
Handle_StepVisual_Colour | curveColour

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_CurveStyle::StepVisual_CurveStyle | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepVisual_Colour StepVisual_CurveStyle::CurveColour | ( |  | ) | const

Standard_EXPORT StepVisual_CurveStyleFontSelect StepVisual_CurveStyle::CurveFont | ( |  | ) | const

Standard_EXPORT StepBasic_SizeSelect StepVisual_CurveStyle::CurveWidth | ( |  | ) | const

Standard_EXPORT const StepVisual_CurveStyle::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepVisual_CurveStyle::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const StepVisual_CurveStyleFontSelect & | aCurveFont,
|  | const StepBasic_SizeSelect & | aCurveWidth,
|  | const Handle(StepVisual_Colour)& | aCurveColour
| ) | `[virtual]`

Standard_EXPORT Handle_TCollection_HAsciiString StepVisual_CurveStyle::Name | ( |  | ) | const

Standard_EXPORT void StepVisual_CurveStyle::SetCurveColour | ( | const Handle(StepVisual_Colour)& | aCurveColour | ) |

Standard_EXPORT void StepVisual_CurveStyle::SetCurveFont | ( | const StepVisual_CurveStyleFontSelect & | aCurveFont | ) |

Standard_EXPORT void StepVisual_CurveStyle::SetCurveWidth | ( | const StepBasic_SizeSelect & | aCurveWidth | ) |

Standard_EXPORT void StepVisual_CurveStyle::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

## Field Documentation

Handle_StepVisual_Colour StepVisual_CurveStyle::curveColour `[private]`

StepVisual_CurveStyleFontSelect StepVisual_CurveStyle::curveFont `[private]`

StepBasic_SizeSelect StepVisual_CurveStyle::curveWidth `[private]`

Handle_TCollection_HAsciiString StepVisual_CurveStyle::name `[private]`

The documentation for this class was generated from the following file:

- StepVisual_CurveStyle.hxx